Subject: Re: bug#73284: [PATCH] Add option to push mark after delete-pair

From: Eli Zaretskii <[email-masked]>
Date: Sat, 21 Sep 2024 13:25:05 +0300

> From: Paul Nelson <[email-masked]>
> Date: Sun, 15 Sep 2024 22:58:09 +0200
> 
> The delete-pair command from lisp.el deletes a matched pair of
> delimiters.  After using this command, I often want to operate on the
> region enclosed by the deleted delimiters.  As far as I know, there's
> currently no quick way to access the end of that region.
> 
> This patch introduces a custom option, delete-pair-push-mark.  When
> enabled, it causes delete-pair to push a mark at the end of the
> enclosed region.
> 
> This opens up various workflows.  For instance, after deleting a pair,
> we can use C-x C-x to highlight the region and act on it further.
> Alternatively, we can use C-M-k to delete the first sexp inside the
> delimiters, then act on the remainder.
> 
> To err on the side of caution, I hid the new behavior behind a user
> option, disabled by default.  I could just as well see it being turned
> on by default (or getting rid of the user option, making the new
> behavior "mandatory"), and am open to suggestions/feedback.

Thanks, installed on master, and closing the bug.

Please in the future make sure any new user options always have the
:version tag.